Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`error`.`ProcessTerminated``

exception documentation

`class ProcessTerminated(ConnectionLost): (source)`

Constructor: `ProcessTerminated(exitCode, signal, status)`

View In Hierarchy

Undocumented

Method | `__init__` | No summary
Constant | `MESSAGE` | Undocumented
Class Variable | `__doc__` | Undocumented
Instance Variable | `exitCode` | Undocumented
Instance Variable | `signal` | Undocumented
Instance Variable | `status` | Undocumented

Inherited from `ConnectionLost`:

Method | `__str__` | Undocumented

def __init__(self, exitCode=None, signal=None, status=None): (source)

Parameters
exitCode:`int` or `None` | The exit status of the process. This is roughly like the value you might pass to `os._exit`. This is `None` if the process exited due to a signal.
signal:`int` or `None` | The exit signal of the process. This is `None` if the process did not exit due to a signal.
status:`int` | The exit code of the process. This is a platform specific combination of the exit code and the exit signal. See `os.WIFEXITED` and related functions.

MESSAGE: `str` = (source)
overrides `twisted.internet.error.ConnectionLost.MESSAGE`

Undocumented

Value

    '''
        A process has ended with a probable error condition

        @ivar exitCode: See L{__init__}
        @ivar signal: See L{__init__}
        @ivar status: See L{__init__}
        '''

__doc__: `str` = (source)
overrides `twisted.internet.error.ConnectionLost.__doc__`

Undocumented

exitCode = (source)

Undocumented

signal = (source)

Undocumented

status = (source)

Undocumented